% 2023.04.28
% Created by: László Bányász
% Based on the template of the Department of Applied Mechanics
% Creators of the original template: Szabolcs Berezvai and Henrik Sykora

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{res/hvtposter_EN}
% Class
\LoadClass[14pt]{extarticle}
% Packages
\RequirePackage[utf8]{inputenc}
\RequirePackage{fancyhdr}
\RequirePackage[T1]{fontenc}
\RequirePackage[english]{babel}
\RequirePackage{geometry}
 \geometry{a3paper,bottom=40mm,right=20mm,left=20mm,top=10mm}

 \renewcommand{\headrulewidth}{0pt}
\RequirePackage{graphicx}						
\RequirePackage{multicol,caption}				
\RequirePackage{setspace}						
\RequirePackage{titlesec,titling}				
\RequirePackage{amsmath,amsfonts}
\RequirePackage{amssymb,physics}
\RequirePackage{amsthm}
\RequirePackage{epstopdf}
\RequirePackage{lipsum}
\RequirePackage{tikz}
\RequirePackage{caption}
\RequirePackage{color}
\RequirePackage{wallpaper}
\RequirePackage[labelformat=simple]{subcaption}
\renewcommand\thesubfigure{\alph{subfigure})}
\RequirePackage[square,comma,numbers]{natbib}
% Poster Title
\definecolor{titlecolor}{RGB}{255,255,255}
\definecolor{namecolor}{RGB}{255,255,255}
\definecolor{desccolor}{RGB}{255,255,255}
\ThisCenterWallPaper{1}{res/wallpaper_EN.pdf}
\newcommand{\postertitle}{

% Thesis title
\begin{minipage}[l!][2cm][c]{0.9\textwidth}
 	\begin{doublespace}
	{\LARGE \color{titlecolor} \textbf{\textsf{\thetitle}} } 
	\end{doublespace} 
\end{minipage}

% Details
\begin{minipage}[c!][2.5cm][s]{\linewidth}
	\begin{minipage}{0.85\linewidth}
		% Author
		{\Large \color{namecolor} \textbf{\textsc{\theauthor}}} \\ 
		% Faculty
		\large \color{desccolor} \specvar \\
		% Semester, supervisor
		\large \semestervar.  \textit{Supervisor:} \supervisorvar, \supervisortitlevar
	\end{minipage}
	\hspace{0.025\textwidth}
\end{minipage}

\rule{\linewidth}{0pt}}

% No pagenumbering
\pagenumbering{gobble}

% Figure
\newenvironment{Figure}
{\par\vspace{0.5cm}\noindent\minipage{\linewidth}}
{\endminipage\par\vspace{0.5cm}}
		
% Distance between columns	
\setlength{\columnsep}{0.75cm}					

% Local variables
\newcommand{\authordata}[1]{\gdef\@authordata{#1}}
\newcommand{\specialization}[1]{\gdef\specvar{#1}}
\newcommand{\email}[1]{\gdef\emailvar{#1}}
\newcommand{\supervisor}[1]{\gdef\supervisorvar{#1}}
\newcommand{\supervisortitle}[1]{\gdef\supervisortitlevar{#1}}
\newcommand{\semester}[1]{\gdef\semestervar{#1}}
\newcommand{\emailsupervisor}[1]{\gdef\emailsupvar{#1}}

% END
\endinput
